CAST(8)

NAME
cast - installs software packages

SYNOPSIS
cast [options] [package1] ... [package2] ...

EXAMPLE
To install emacs type:

    cast emacs

DESCRIPTION
cast is part of the sorcery source-code package management suite. It is a command-line tool for automatically retrieving, unpacking, compiling, installing, and tracking software installations.

OPTIONS

  -f, --fix
Used to be: Discover and fix broken spells. Now removed.

Use cleanse --fix instead.

  -s
First download all spells, then cast. Normal cast behavior is to download in the background while compiling. This disables that behavior.

  --deps
Determines dependencies for the given spell(s) and casts the dependencies, but does not cast the given spell(s) itself.

  --cflags, --cxxflags, --ldflags
Set custom cflags/cxxflags/ldflags values to override those found in arch specs, and set through the sorcery menu.

  --no-opts
Disable the use of optimization flags from arch specs and the sorcery menu, only use those specified on the command line with --cflags, --cxxflags, or --ldflags.

  -c, --compile
Compiles spell even if there is a compile cache in /var/cache/sorcery. Otherwise, it would just resurrect (untar) it. Helpful when the system configuration changes.

  -r, --reconfigure
This will prompt you again for optional dependencies and configuration options, even those you answered before. Implies -c.

  -g, --grimoire [grimoire names ...]
Use only the specified grimoires for this cast. NOTE: If there are any cross-grimoire dependencies on unspecified grimoires they will not work. The target spell will not be found. To avoid this, specify all relevant grimoires to the -g parameter in the order you wish them to be searched.

  --from directory
Specify an alternate directory to search for cached sources. An alternate to /var/spool/sorcery. Usually though, you'd just copy the source to /var/spool/sorcery.

  --pam
re-casts all installed spells that can use linux-pam.

  --queue
re-casts all spells in the install queue, as generated for example by sorcery queue

  -V on|off
overrides the VOYEUR option, which specifies whether or not compile output should be displayed. Helpful if you usually have it off and want to see where an error is.

  -d, --download
forces redownloading of sources, sources are freshly downloaded even when we already have them.

  -R, --recast-down
recasts all the spells the given spell(s) depend on (and the ones they depend on ...). This might be quite a lot of spells.

  -B, --recast-up
recasts all the spells that depend on the given spell(s).

  -h, --help
Display short help.

ENVIRONMENT
The environment is set using the sorcery configuration files. See sorcery_config(5)

ADVANCED USAGE
Casting from an alternate spell cache.

    cast --from /root/sgl/personal/cache emacs

NOTES
Do not include version or section name when specifying a package. To get complete listing of software packages type gaze grimoire

If spell fails during a cast, try recasting it with cast -r -c to reconfigure and recompile.

COMMENTS
Unless the -from option is specified cast will always check the /var/spool/sorcery directory first to see if the package exists. If the package does not exist it downloads the package via the Internet.

AUTHOR
Original version by Kyle Sallee, and updated Thomas Stewart. Rewritten and shortened by Karsten Behrmann.

Maintained by the Source Mage GNU Linux Team (http://www.sourcemage.org)

REPORTING BUGS
Report bugs to bugzilla <http://bugs.sourcemage.org>

SEE ALSO
alter(8), cleanse(8), dispel(8), gaze(1), grimoire(5), scribbler(8), scribe(8), sorcery(8), sorcery_config(5), summon(8)

WARRANTY
This is free software with ABSOLUTELY NO WARRANTY